<?php
/**
 * @file
 * wcm_addtoany.features.inc
 */

/**
 * Implements hook_ds_field_settings_info_alter().
 */
function wcm_addtoany_ds_field_settings_info_alter(&$data) {
  if (isset($data['node|article|full'])) {
    $data['node|article|full']->settings['addtoany'] = array(
      'weight' => 8,
      'label' => 'inline',
      'format' => 'default',
      'formatter_settings' => array(
        'ft' => array(
          'lb' => 'Share this page',
        ),
      ),
    ); /* WAS: '' */
  }
  if (isset($data['node|news_client_cached_article|full'])) {
    $data['node|news_client_cached_article|full']->settings['addtoany'] = array(
      'weight' => 6,
      'label' => 'inline',
      'format' => 'default',
      'formatter_settings' => array(
        'ft' => array(
          'lb' => 'Share this page',
        ),
      ),
    ); /* WAS: '' */
  }
}

/**
 * Implements hook_ds_layout_settings_info_alter().
 */
function wcm_addtoany_ds_layout_settings_info_alter(&$data) {
  if (isset($data['node|article|full'])) {
    $data['node|article|full']->settings['fields']['addtoany'] = 'footer'; /* WAS: '' */
  }
  if (isset($data['node|news_client_cached_article|full'])) {
    $data['node|news_client_cached_article|full']->settings['fields']['addtoany'] = 'footer'; /* WAS: '' */
  }
}
