## Prepare your environment for theme compilation. 
1. Install Node.js via a provided installer: https://nodejs.org/en/download/
2. Update npm from the version packaged with Node: `npm install npm@latest -g`
3. Install Gulp globally: `sudo npm install -g gulp`

## Prepare your local version of the theme for the first time.
1. Navigate to the root of the theme folder via terminal
2. Install node_modules and local instance of gulp: `npm install`
3. Make a copy of *gulpfile.default.js* as *gulpfile.js*
4. Add your local web address to *gulpfile.js*
5. Run Gulp via the command line at the theme root: `gulp`