<?php
/**
 * @file
 * wcm_news_client_display.features.inc
 */

/**
 * Implements hook_ctools_plugin_api().
 */
function wcm_news_client_display_ctools_plugin_api($module = NULL, $api = NULL) {
  if ($module == "context" && $api == "context") {
    return array("version" => "3");
  }
  if ($module == "ds" && $api == "ds") {
    return array("version" => "1");
  }
  if ($module == "strongarm" && $api == "strongarm") {
    return array("version" => "1");
  }
}

/**
 * Implements hook_views_api().
 */
function wcm_news_client_display_views_api($module = NULL, $api = NULL) {
  return array("api" => "3.0");
}

/**
 * Implements hook_custom_breadcrumb_features_default_settings().
 */
function wcm_news_client_display_custom_breadcrumb_features_default_settings() {
  $custom_breadcrumbs = array();

  // Exported custom breadcrumb: news_client_cached_article.
  $custom_breadcrumbs['news_client_cached_article'] = array(
    'name' => 'News Client Cached Article',
    'titles' => 'News',
    'paths' => 'news',
    'visibility_php' => '',
    'node_type' => 'news_client_cached_article',
    'language' => '',
    'machine_name' => 'news_client_cached_article',
  );

  return $custom_breadcrumbs;
}
