<?php
/**
 * @file
 * wcm_user_config.features.user_permission.inc
 */

/**
 * Implements hook_user_default_permissions().
 */
function wcm_user_config_user_default_permissions() {
  $permissions = array();

  // Exported permission: 'access user profiles'.
  $permissions['access user profiles'] = array(
    'name' => 'access user profiles',
    'roles' => array(
      'administrator' => 'administrator',
      'anonymous user' => 'anonymous user',
      'authenticated user' => 'authenticated user',
    ),
    'module' => 'user',
  );

  // Exported permission: 'access users overview'.
  $permissions['access users overview'] = array(
    'name' => 'access users overview',
    'roles' => array(
      'administrator' => 'administrator',
      'site builder' => 'site builder',
      'site manager' => 'site manager',
    ),
    'module' => 'administerusersbyrole',
  );

  // Exported permission: 'administer all users'.
  $permissions['administer all users'] = array(
    'name' => 'administer all users',
    'roles' => array(
      'administrator' => 'administrator',
    ),
    'module' => 'wcm_user_config',
  );

  // Exported permission: 'administer permissions'.
  $permissions['administer permissions'] = array(
    'name' => 'administer permissions',
    'roles' => array(
      'administrator' => 'administrator',
    ),
    'module' => 'user',
  );

  // Exported permission: 'administer userprotect'.
  $permissions['administer userprotect'] = array(
    'name' => 'administer userprotect',
    'roles' => array(
      'administrator' => 'administrator',
    ),
    'module' => 'userprotect',
  );

  // Exported permission: 'administer users'.
  $permissions['administer users'] = array(
    'name' => 'administer users',
    'roles' => array(
      'administrator' => 'administrator',
    ),
    'module' => 'user',
  );

  // Exported permission: 'assign all roles'.
  $permissions['assign all roles'] = array(
    'name' => 'assign all roles',
    'roles' => array(
      'administrator' => 'administrator',
    ),
    'module' => 'role_delegation',
  );

  // Exported permission: 'assign contributor role'.
  $permissions['assign contributor role'] = array(
    'name' => 'assign contributor role',
    'roles' => array(
      'administrator' => 'administrator',
      'site builder' => 'site builder',
      'site manager' => 'site manager',
    ),
    'module' => 'role_delegation',
  );

  // Exported permission: 'assign editor role'.
  $permissions['assign editor role'] = array(
    'name' => 'assign editor role',
    'roles' => array(
      'administrator' => 'administrator',
      'site builder' => 'site builder',
      'site manager' => 'site manager',
    ),
    'module' => 'role_delegation',
  );

  // Exported permission: 'assign private content viewer role'.
  $permissions['assign private content viewer role'] = array(
    'name' => 'assign private content viewer role',
    'roles' => array(
      'administrator' => 'administrator',
      'site builder' => 'site builder',
      'site manager' => 'site manager',
    ),
    'module' => 'role_delegation',
  );

  // Exported permission: 'assign site builder role'.
  $permissions['assign site builder role'] = array(
    'name' => 'assign site builder role',
    'roles' => array(
      'administrator' => 'administrator',
      'site builder' => 'site builder',
    ),
    'module' => 'role_delegation',
  );

  // Exported permission: 'assign site manager role'.
  $permissions['assign site manager role'] = array(
    'name' => 'assign site manager role',
    'roles' => array(
      'administrator' => 'administrator',
      'site builder' => 'site builder',
      'site manager' => 'site manager',
    ),
    'module' => 'role_delegation',
  );

  // Exported permission: 'cancel account'.
  $permissions['cancel account'] = array(
    'name' => 'cancel account',
    'roles' => array(
      'administrator' => 'administrator',
    ),
    'module' => 'user',
  );

  // Exported permission: 'cancel users with role 2'.
  $permissions['cancel users with role 2'] = array(
    'name' => 'cancel users with role 2',
    'roles' => array(
      'administrator' => 'administrator',
      'site builder' => 'site builder',
      'site manager' => 'site manager',
    ),
    'module' => 'administerusersbyrole',
  );

  // Exported permission: 'cancel users with role 4'.
  $permissions['cancel users with role 4'] = array(
    'name' => 'cancel users with role 4',
    'roles' => array(
      'administrator' => 'administrator',
      'site builder' => 'site builder',
      'site manager' => 'site manager',
    ),
    'module' => 'administerusersbyrole',
  );

  // Exported permission: 'cancel users with role 5'.
  $permissions['cancel users with role 5'] = array(
    'name' => 'cancel users with role 5',
    'roles' => array(
      'administrator' => 'administrator',
      'site builder' => 'site builder',
      'site manager' => 'site manager',
    ),
    'module' => 'administerusersbyrole',
  );

  // Exported permission: 'cancel users with role 6'.
  $permissions['cancel users with role 6'] = array(
    'name' => 'cancel users with role 6',
    'roles' => array(
      'administrator' => 'administrator',
      'site builder' => 'site builder',
      'site manager' => 'site manager',
    ),
    'module' => 'administerusersbyrole',
  );

  // Exported permission: 'cancel users with role 7'.
  $permissions['cancel users with role 7'] = array(
    'name' => 'cancel users with role 7',
    'roles' => array(
      'administrator' => 'administrator',
      'site builder' => 'site builder',
      'site manager' => 'site manager',
    ),
    'module' => 'administerusersbyrole',
  );

  // Exported permission: 'cancel users with role 8'.
  $permissions['cancel users with role 8'] = array(
    'name' => 'cancel users with role 8',
    'roles' => array(
      'administrator' => 'administrator',
      'site builder' => 'site builder',
      'site manager' => 'site manager',
    ),
    'module' => 'administerusersbyrole',
  );

  // Exported permission: 'change own e-mail'.
  $permissions['change own e-mail'] = array(
    'name' => 'change own e-mail',
    'roles' => array(
      'administrator' => 'administrator',
    ),
    'module' => 'userprotect',
  );

  // Exported permission: 'change own openid'.
  $permissions['change own openid'] = array(
    'name' => 'change own openid',
    'roles' => array(
      'administrator' => 'administrator',
    ),
    'module' => 'userprotect',
  );

  // Exported permission: 'change own password'.
  $permissions['change own password'] = array(
    'name' => 'change own password',
    'roles' => array(
      'administrator' => 'administrator',
      'authenticated user' => 'authenticated user',
    ),
    'module' => 'userprotect',
  );

  // Exported permission: 'change own username'.
  $permissions['change own username'] = array(
    'name' => 'change own username',
    'roles' => array(
      'administrator' => 'administrator',
    ),
    'module' => 'user',
  );

  // Exported permission: 'create users'.
  $permissions['create users'] = array(
    'name' => 'create users',
    'roles' => array(
      'administrator' => 'administrator',
      'site builder' => 'site builder',
      'site manager' => 'site manager',
    ),
    'module' => 'administerusersbyrole',
  );

  // Exported permission: 'edit own account'.
  $permissions['edit own account'] = array(
    'name' => 'edit own account',
    'roles' => array(
      'administrator' => 'administrator',
      'contributor' => 'contributor',
      'editor' => 'editor',
      'site builder' => 'site builder',
      'site manager' => 'site manager',
    ),
    'module' => 'userprotect',
  );

  // Exported permission: 'edit users with role 2'.
  $permissions['edit users with role 2'] = array(
    'name' => 'edit users with role 2',
    'roles' => array(
      'administrator' => 'administrator',
      'site builder' => 'site builder',
      'site manager' => 'site manager',
    ),
    'module' => 'administerusersbyrole',
  );

  // Exported permission: 'edit users with role 4'.
  $permissions['edit users with role 4'] = array(
    'name' => 'edit users with role 4',
    'roles' => array(
      'administrator' => 'administrator',
      'site builder' => 'site builder',
      'site manager' => 'site manager',
    ),
    'module' => 'administerusersbyrole',
  );

  // Exported permission: 'edit users with role 5'.
  $permissions['edit users with role 5'] = array(
    'name' => 'edit users with role 5',
    'roles' => array(
      'administrator' => 'administrator',
      'site builder' => 'site builder',
      'site manager' => 'site manager',
    ),
    'module' => 'administerusersbyrole',
  );

  // Exported permission: 'edit users with role 6'.
  $permissions['edit users with role 6'] = array(
    'name' => 'edit users with role 6',
    'roles' => array(
      'administrator' => 'administrator',
      'site builder' => 'site builder',
      'site manager' => 'site manager',
    ),
    'module' => 'administerusersbyrole',
  );

  // Exported permission: 'edit users with role 7'.
  $permissions['edit users with role 7'] = array(
    'name' => 'edit users with role 7',
    'roles' => array(
      'administrator' => 'administrator',
      'site builder' => 'site builder',
      'site manager' => 'site manager',
    ),
    'module' => 'administerusersbyrole',
  );

  // Exported permission: 'edit users with role 8'.
  $permissions['edit users with role 8'] = array(
    'name' => 'edit users with role 8',
    'roles' => array(
      'administrator' => 'administrator',
      'site builder' => 'site builder',
      'site manager' => 'site manager',
    ),
    'module' => 'administerusersbyrole',
  );

  // Exported permission: 'select account cancellation method'.
  $permissions['select account cancellation method'] = array(
    'name' => 'select account cancellation method',
    'roles' => array(
      'administrator' => 'administrator',
    ),
    'module' => 'user',
  );

  return $permissions;
}
